Let ApiDocumentationTest structure test pass on all repos
Closed, ResolvedPublic

Description

With https://gerrit.wikimedia.org/r/#/c/260031/ there was added a new structure test for the apihelp messages, which magically runs on all repos, but not all repos was updated to let the test pass.

This task used as tracking task to find open repos and it should be a reminder to actually test all repos to be sure, that no one is missing.

Related Objects

StatusAssignedTask
OpenNone
OpenRaymond
ResolvedUmherirrender
DuplicateNone
Resolvednikitavbv
ResolvedMihir-thakkar
ResolvedMtDu
Resolvednikitavbv
Resolvednikitavbv
ResolvedReedy
ResolvedMtDu
ResolvedYaron_Koren
ResolvedAnomie
ResolvedMtDu
ResolvedReedy
Resolveddivadsn
Resolveddivadsn
ResolvedDatGuy
ResolvedDatGuy
DeclinedDatGuy
Resolvedhashar
ResolvedUmherirrender
ResolvedDatGuy
ResolvedUmherirrender
ResolvedDatGuy
ResolvedDatGuy
ResolvedUmherirrender
ResolvedDatGuy
ResolvedDatGuy
ResolvedUmherirrender
ResolvedDatGuy
ResolvedUmherirrender
DeclinedNone
ResolvedDatGuy
ResolvedDatGuy
Resolvednikitavbv
ResolvedDatGuy
ResolvedPaladox
ResolvedUmherirrender
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 7 2017, 9:30 AM
hashar moved this task from Backlog to Repo setup on the Continuous-Integration-Config board.
hashar added a project: Tracking.
hashar added a subscriber: hashar.
DatGuy added a subscriber: DatGuy.Jan 13 2017, 10:55 PM
hashar triaged this task as Normal priority.Jan 23 2017, 2:03 PM
hashar moved this task from Repo setup to In progress on the Continuous-Integration-Config board.
Krinkle moved this task from Inbox to PHPUnit on the MediaWiki-Core-Tests board.Jul 7 2017, 5:10 AM
Umherirrender closed this task as Resolved.

All current extensions have all needed apihelp messages.